Toybrick

另一个程序正在使用此文件,进程无法访问log_feedback_to_the...

LCW__1997

注册会员

积分
86
发表于 2022-3-8 14:53:00    查看: 2240|回复: 0 | [复制链接]    打印 | 显示全部楼层
当我将best.onnx转换为RKNN的过程中,使用yolov5_3399pro的官方demo,出现了如下错误:Traceback (most recent call last):
  File "E:\software\anaconda\envs\lcw\lib\site-packages\tensorflow\python\pywrap_tensorflow.py", line 58, in <module>
    from tensorflow.python.pywrap_tensorflow_internal import *
  File "E:\software\anaconda\envs\lcw\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 28, in <module>
    _pywrap_tensorflow_internal = swig_import_helper()
  File "E:\software\anaconda\envs\lcw\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 24, in swig_import_helper
    _mod = imp.load_module('_pywrap_tensorflow_internal', fp, pathname, description)
  File "E:\software\anaconda\envs\lcw\lib\imp.py", line 243, in load_module
    return load_dynamic(name, filename, file)
  File "E:\software\anaconda\envs\lcw\lib\imp.py", line 343, in load_dynamic
    return _load(spec)
ImportError: DLL load failed: 找不到指定的模块。

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:/Users/71059/Desktop/yolov5_3399pro/convert/test.py", line 220, in <module>
    rknn = RKNN()
  File "E:\software\anaconda\envs\lcw\lib\site-packages\rknn\api\rknn.py", line 68, in __init__
    self.config()
  File "E:\software\anaconda\envs\lcw\lib\site-packages\rknn\api\rknn.py", line 732, in config
    return self.rknn_base.config(args)
  File "rknn\api\rknn_base.py", line 74, in rknn.api.rknn_base.RKNNBase.config
  File "E:\software\anaconda\envs\lcw\lib\site-packages\rknn\base\acuitylib\__init__.py", line 1, in <module>
    from acuitylib.optimize.optimizer import Optimizer
  File "E:\software\anaconda\envs\lcw\lib\site-packages\rknn\base\acuitylib\__init__.py", line 1, in <module>
    from acuitylib.optimize.optimizer import Optimizer
  File "rknn\base\acuitylib\optimize\optimizer.py", line 14, in init rknn.base.acuitylib.optimize.optimizer
  File "rknn\base\acuitylib\optimize\rules\merge_layer.py", line 3, in init rknn.base.acuitylib.optimize.rules.merge_layer
  File "E:\software\anaconda\envs\lcw\lib\site-packages\rknn\base\acuitylib\layer\__init__.py", line 2, in <module>
    from acuitylib.layer.add import *
  File "rknn\base\acuitylib\layer\add.py", line 1, in init rknn.base.acuitylib.layer.add
  File "rknn\base\acuitylib\layer\acuitylayer.py", line 3, in init rknn.base.acuitylib.layer.acuitylayer
  File "rknn\base\acuitylib\xtf.py", line 1, in init rknn.base.acuitylib.xtf
  File "E:\software\anaconda\envs\lcw\lib\site-packages\tensorflow\__init__.py", line 22, in <module>
    from tensorflow.python import pywrap_tensorflow  # pylint: disable=unused-import
  File "E:\software\anaconda\envs\lcw\lib\site-packages\tensorflow\python\__init__.py", line 49, in <module>
    from tensorflow.python import pywrap_tensorflow
  File "E:\software\anaconda\envs\lcw\lib\site-packages\tensorflow\python\pywrap_tensorflow.py", line 74, in <module>
    raise ImportError(msg)
ImportError: Traceback (most recent call last):
  File "E:\software\anaconda\envs\lcw\lib\site-packages\tensorflow\python\pywrap_tensorflow.py", line 58, in <module>
    from tensorflow.python.pywrap_tensorflow_internal import *
  File "E:\software\anaconda\envs\lcw\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 28, in <module>
    _pywrap_tensorflow_internal = swig_import_helper()
  File "E:\software\anaconda\envs\lcw\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 24, in swig_import_helper
    _mod = imp.load_module('_pywrap_tensorflow_internal', fp, pathname, description)
  File "E:\software\anaconda\envs\lcw\lib\imp.py", line 243, in load_module
    return load_dynamic(name, filename, file)
  File "E:\software\anaconda\envs\lcw\lib\imp.py", line 343, in load_dynamic
    return _load(spec)
ImportError: DLL load failed: 找不到指定的模块。


Failed to load the native TensorFlow runtime.

See https://www.tensorflow.org/insta ... stallation_problems

for some common reasons and solutions.  Include the entire stack trace
above this error message when asking for help.
Traceback (most recent call last):
  File "E:\software\anaconda\envs\lcw\lib\weakref.py", line 624, in _exitfunc
    f()
  File "E:\software\anaconda\envs\lcw\lib\weakref.py", line 548, in __call__
    return info.func(*info.args, **(info.kwargs or {}))
  File "E:\software\anaconda\envs\lcw\lib\tempfile.py", line 799, in _cleanup
    _shutil.rmtree(name)
  File "E:\software\anaconda\envs\lcw\lib\shutil.py", line 500, in rmtree
    return _rmtree_unsafe(path, onerror)
  File "E:\software\anaconda\envs\lcw\lib\shutil.py", line 395, in _rmtree_unsafe
    onerror(os.unlink, fullname, sys.exc_info())
  File "E:\software\anaconda\envs\lcw\lib\shutil.py", line 393, in _rmtree_unsafe
    os.unlink(fullname)
PermissionError: [WinError 32] 另一个程序正在使用此文件,进程无法访问。: 'C:\\Users\\71059\\AppData\\Local\\Temp\\tmp2p7s6yoz\\log_feedback_to_the_rknn_toolkit_dev_team.log'

Process finished with exit code 1


请问这是什么原因,该如何解决?

回复

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

产品中心 购买渠道 开源社区 Wiki教程 资料下载 关于Toybrick


快速回复 返回顶部 返回列表